﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace WindowsFormsApplication16
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            label1.Text = ultraTree1.Nodes.Count.ToString();
            ultraTree1.ExpandAll();
        }

        private void StartIterate()
        {
            foreach (UltraTreeNode node in ultraTree1.Nodes)
            {
                HideNode(node);
            }
        }

        private void HideNode(UltraTreeNode node)
        {
            if (node.Nodes.Count == 0)
            {
                node.Visible = false;
            }
            else
            {
                foreach (UltraTreeNode subnode in node.Nodes)
                    HideNode(subnode);
            }

        }

        private void button1_Click(object sender, EventArgs e)
        {
            StartIterate();
        }
    }
}
